# Uses of Interface
org.xnio.conduits.StreamSourceConduit

Packages that use StreamSourceConduit
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.conduits
The XNIO conduit SPI.

## Uses of StreamSourceConduit in org.xnio

Methods in org.xnio with parameters of type StreamSourceConduit
Modifier and Type
Method
Description
`protected void`
StreamConnection.`setSourceConduit(StreamSourceConduit conduit)`
Set the source conduit for this channel.

## Uses of StreamSourceConduit in org.xnio.conduits

Classes in org.xnio.conduits with type parameters of type StreamSourceConduit
Modifier and Type
Class
Description
`class`
`AbstractStreamSourceConduit<D extends StreamSourceConduit>`
An abstract base class for filtering stream source conduits.
Classes in org.xnio.conduits that implement StreamSourceConduit
Modifier and Type
Class
Description
`class`
`AbstractStreamSourceConduit<D extends StreamSourceConduit>`
An abstract base class for filtering stream source conduits.
`final class`
`BlockingStreamSourceConduit`
A stream source conduit which can switch into and out of blocking mode.
`final class`
`BufferedStreamSourceConduit`
A stream source conduit which buffers input.
`final class`
`EmptyStreamSourceConduit`
A stream source conduit which is always empty.
`final class`
`FixedLengthStreamSourceConduit`
A stream source conduit which limits the length of input.
`final class`
`InflatingStreamSourceConduit`
A filtering stream source conduit which decompresses the source data.
`final class`
`MessageStreamSourceConduit`
A stream source conduit which reads stream data from messages.
`final class`
`PushBackStreamSourceConduit`
A stream source conduit which allows buffers to be "pushed back" to the head of the stream.
`final class`
`StreamSourceChannelWrappingConduit`
A conduit which wraps a channel, for compatibility.
`final class`
`SynchronizedStreamSourceConduit`
A synchronized stream source conduit.
Methods in org.xnio.conduits that return StreamSourceConduit
Modifier and Type
Method
Description
`StreamSourceConduit`
ConduitStreamSourceChannel.`getConduit()`
Get the underlying conduit for this channel.
Methods in org.xnio.conduits with parameters of type StreamSourceConduit
Modifier and Type
Method
Description
`static long`
Conduits.`drain(StreamSourceConduit conduit, long count)`
Attempt to drain the given number of bytes from the stream source conduit.
`void`
ConduitStreamSourceChannel.`setConduit(StreamSourceConduit conduit)`
Set the underlying conduit for this channel.
`static long`
Conduits.`transfer(StreamSourceConduit source, long count, ByteBuffer throughBuffer, WritableByteChannel sink)`
Platform-independent channel-to-channel transfer method.
Constructors in org.xnio.conduits with parameters of type StreamSourceConduit
Modifier
Constructor
Description
``
`BlockingStreamSourceConduit(StreamSourceConduit next)`
Construct a new instance.
``
`BufferedStreamSourceConduit(StreamSourceConduit next, Pooled<ByteBuffer> pooledBuffer)`
Construct a new instance.
``
`ConduitReadableByteChannel(StreamSourceConduit conduit)`
Construct a new instance.
``
`ConduitStreamSourceChannel(Configurable configurable, StreamSourceConduit conduit)`
Construct a new instance.
``
`FixedLengthStreamSourceConduit(StreamSourceConduit next, long remaining)`
Construct a new instance.
``
`FramingMessageSourceConduit(StreamSourceConduit next, Pooled<ByteBuffer> receiveBuffer)`
Construct a new instance.
``
`InflatingStreamSourceConduit(StreamSourceConduit next, Inflater inflater)`
Construct a new instance.
``
`PushBackStreamSourceConduit(StreamSourceConduit next)`
Construct a new instance.
``
`SynchronizedStreamSourceConduit(StreamSourceConduit next)`
Construct a new instance.
``
`SynchronizedStreamSourceConduit(StreamSourceConduit next, Object lock)`
Construct a new instance.